OpenJPEG 2.5.4

Data Fields
msgqueue_param Struct Reference

message queue parameters More...

`#include <msgqueue_manager.h>`

## Data Fields
message_param_t * | first
| first message pointer of the list
message_param_t * | last
| last message pointer of the list
OPJ_BOOL | stateless
| if this is a stateless message queue
cachemodel_param_t * | cachemodel
| reference cachemodel pointer

## Detailed Description

message queue parameters

## Field Documentation

## ◆ cachemodel

cachemodel_param_t* msgqueue_param::cachemodel

reference cachemodel pointer

Referenced by enqueue_allprecincts(), enqueue_box(), enqueue_boxcontents(), enqueue_imagedata(), enqueue_mainheader(), enqueue_metadata(), enqueue_phld(), enqueue_precinct(), enqueue_precincts(), enqueue_tile(), enqueue_tileheader(), gene_msgqueue(), and recons_stream_from_msgqueue().

## ◆ first

message_param_t* msgqueue_param::first

first message pointer of the list

Referenced by add_mainhead_msgstream(), decode_jpip(), delete_message_in_msgqueue(), enqueue_message(), gene_msgqueue(), get_last_tileID(), isJPPstream(), parse_JPIPstream(), parse_metamsg(), print_msgqueue(), recons_codestream_from_JPPstream(), recons_codestream_from_JPTstream(), recons_jp2(), recons_packet(), recons_precinct(), and recons_stream_from_msgqueue().

## ◆ last

message_param_t* msgqueue_param::last

last message pointer of the list

Referenced by delete_message_in_msgqueue(), enqueue_message(), enqueue_metadata(), gene_msgqueue(), handle_JPIPstreamMSG(), and parse_JPIPstream().

## ◆ stateless

OPJ_BOOL msgqueue_param::stateless

if this is a stateless message queue

Referenced by gene_msgqueue().

The documentation for this struct was generated from the following file:

- msgqueue_manager.h